#!/bin/sh
set -e
set -x

day=$1
train_path=$2
model_name=$3
v_l1=$4
v_l2=$5

HADOOP="/opt/apps/HADOOP-COMMON/hadoop-common-current/bin/hadoop"
$HADOOP fs -text ${train_path}/dt=$day/* | /root/sunmingze/alphaFM/bin/fm_train -m model/${model_name}_${day}.txt -dim 1,1,0 -core 8 \
-v_l1 ${v_l1} -v_l2 ${v_l2}


# nohup sh 01_train.sh 20231214 /dw/recommend/model/share_ratio_samples_v2/ model_sharev2 >p1.log 2>&1 &
# nohup sh 01_train.sh 20231220 /dw/recommend/model/ros_sample_v2/ model_ros_v2 >p_model_ros_v2.log 2>&1 &
# str 模型路径：/dw/recommend/model/share_ratio_samples_v2
# ros 模型路径：/dw/recommend/model/ros_sample/

# str
# nohup sh 01_train.sh 20240114 /dw/recommend/model/01_str_data model_str_big >p1.log 2>&1 &
# nohup sh 01_train.sh 20240114 /dw/recommend/model/01_str_data model_str_big1 0.5 1.0 >p1_train.log 2>&1 &

# nohup sh 01_train.sh 20240114 /dw/recommend/model/02_str_data model_str_small >p2.log 2>&1 &
# nohup sh 01_train.sh 20240114 /dw/recommend/model/02_str_data model_str_small1 0.1 5.0 >p2_train.log 2>&1 &
# nohup sh 01_train.sh 20240114 /dw/recommend/model/03_str_data model_str_mid >p3.log 2>&1 &
# nohup sh 01_train.sh 20240114 /dw/recommend/model/04_str_data model_str_mid2 >p4_train.log 2>&1 &
# nohup sh 01_train.sh 20240114 /dw/recommend/model/04_str_data model_str_mid4 0.1 5.0 >p4_train.log 2>&1 &
# nohup sh 01_train.sh 20240114 /dw/recommend/model/05_str_data model_str_mid3 >p5_train.log 2>&1 &